// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_moc/moc_sky1
{
	qer_editorimage env/ut4_moc/stormydays_ft.tga
	
	skyparms env/ut4_moc/stormydays 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 300 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Glass ===---

textures/ut4_moc/moc_glass
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_moc/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Ladderclip ===---

textures/ut4_moc/moc_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== No Damage ===---

textures/ut4_moc/black:q3map
{
	surfaceparm nodamage
}

textures/ut4_moc/ft_sand_01:q3map
{
	surfaceparm nodamage
}

textures/ut4_moc/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

// ---=== Lasers ===---

textures/ut4_moc/moc_las_red1
{
	qer_editorimage textures/ut4_moc/laser_red1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_moc/laser_red1.jpg textures/ut4_moc/laser_red3.jpg textures/ut4_moc/laser_red1.jpg textures/ut4_moc/laser_red2.jpg textures/ut4_moc/laser_red4.jpg textures/ut4_moc/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_moc/moc_las_green1
{
	qer_editorimage textures/ut4_moc/laser_green1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_moc/laser_green1.jpg textures/ut4_moc/laser_green3.jpg textures/ut4_moc/laser_green1.jpg textures/ut4_moc/laser_green2.jpg textures/ut4_moc/laser_green4.jpg textures/ut4_moc/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_moc/moc_glassblk04
{
	qer_editorimage textures/ut4_moc/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_moc/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== MOC Shaders ===---

textures/ut4_moc/moc_e8bgrate01
{
	qer_editorimage textures/ut4_moc/e8bgrate01.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_moc/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_moc/moc_e8bgrate02
{
	qer_editorimage textures/ut4_moc/e8bgrate02.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_moc/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_moc/moc_powerwire_ns
{
	qer_editorimage textures/ut4_moc/del_powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_moc/del_powerwire01.tga
		blendFunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_moc/moc_lig_064b2k
{
	qer_editorimage textures/ut4_moc/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_moc/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_lig_064r2k
{
	qer_editorimage textures/ut4_moc/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_moc/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_lig_064y2k
{
	qer_editorimage textures/ut4_moc/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_moc/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_lig_ropB2k
{
	qer_editorimage textures/ut4_moc/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_moc/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_lig_ropR2k
{
	qer_editorimage textures/ut4_moc/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_moc/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_lig_ropY2k
{
	qer_editorimage textures/ut4_moc/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_moc/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_moc/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_moc/moc_exit1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 900
	qer_editorimage textures/ut4_moc/kw_exit5.tga
	{
		animmap 3 textures/ut4_moc/kw_exit1.tga textures/ut4_moc/kw_exit2.tga textures/ut4_moc/kw_exit3.tga textures/ut4_moc/kw_exit4.tga textures/ut4_moc/kw_exit5.tga

	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_moc/moc_fluxspwn1
{
	qer_editorimage textures/ut4_moc/kw_fluxspawn1.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_moc/kw_fluxspawn1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_moc/moc_handprint01
{
	qer_editorimage textures/ut4_moc/kw_handprint1.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2


	{
		animMap 10 textures/ut4_moc/kw_handprint1.jpg textures/ut4_moc/kw_handprint1.jpg textures/ut4_moc/kw_handprint1.jpg textures/ut4_moc/kw_handprint2.jpg textures/ut4_moc/kw_handprint1.jpg textures/ut4_moc/kw_handprint3.jpg textures/ut4_moc/kw_handprint1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ===--- non-solid tunnel lights ===---

textures/ut4_moc/moc_lig_128y2k
{
	qer_editorimage textures/ut4_moc/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_moc/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm detail

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_moc/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}

// ---=== fog ===---

textures/ut4_moc/moc_fog_b
{
	qer_editorimage textures/ut4_moc/kw_fog_blue.tga
	qer_trans 0.7
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .1 .11 .55 ) 512
	deformVertexes wave 256 sin 0 1 0.5 0.5
	
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}	
}

textures/ut4_moc/moc_flowmist_b
{
	qer_editorimage textures/ut4_moc/kw_fog_blue.tga
	qer_trans 0.7
	surfaceparm	trans
	surfaceparm	nonsolid
//	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .1 .11 .55 ) 512
	deformVertexes wave 256 sin 0 1 0.5 0.5
	
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}	
}

textures/ut4_moc/moc_fog_r
{
	qer_editorimage textures/ut4_moc/kw_fog_red.tga
	qer_trans 0.7
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 512
	deformVertexes wave 256 sin 0 1 0.5 0.5
	
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}	
}

textures/ut4_moc/moc_flowmist_r
{
	qer_editorimage textures/ut4_moc/kw_fog_red.tga
	qer_trans 0.7
	surfaceparm	trans
	surfaceparm	nonsolid
//	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 512
	deformVertexes wave 256 sin 0 1 0.5 0.5
	
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ut4_moc/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}	
}

textures/ut4_moc/moc_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_moc/ooze_red.tga
	q3map_surfacelight 300

	{
		map textures/ut4_moc/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_moc/moc_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_moc/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_moc/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_moc/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Liquids ===---
// ---=== SLIME!!! ===---

textures/ut4_moc/moc_slime
{
	qer_editorimage textures/ut4_moc/slime_grn.tga
	q3map_lightimage textures/ut4_moc/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_moc/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll -0.1 0.01
	}
	{
		map textures/ut4_moc/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.1 0.01
	}
	{
		map textures/ut4_moc/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.08 0.01
	}	
}

textures/ut4_moc/moc_slimecaulk
{
	qer_editorimage textures/ut4_moc/slimecaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}

// ---=== evil textures ===---

textures/ut4_moc/e6horzovallight
{
	qer_editorimage textures/ut4_moc/e6horzovallight_a.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_moc/e6horzovallight_a.tga
	}
	{
		map textures/ut4_moc/e6horzovallight_blend.tga
		blendfunc add
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/ut4_moc/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_moc/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_moc/e8minitrimlight
{
	qer_editorimage textures/ut4_moc/e8minitrimlight.tga
	q3map_lightimage textures/ut4_moc/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_moc/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_moc/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_moc/moc_e8trimlight2_blue
{
	qer_editorimage textures/ut4_moc/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_moc/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_moc/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_moc/moc_e8trimlight2_red
{
	qer_editorimage textures/ut4_moc/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_moc/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_moc/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_moc/moc_e8base1c_shn
{
	qer_editorimage textures/ut4_moc/e8_base1c.jpg

	{
		map textures/ut4_moc/e8_base1c.jpg
	}
	{
		map textures/ut4_moc/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_moc/moc_e8metal03c_shiney
{
	qer_editorimage textures/ut4_moc/e8metal03c.tga
	surfaceparm nodamage

	{
		map textures/ut4_moc/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_moc/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
